﻿@{
    var thiscontroller = (EZY_Project.Controllers.BaseController)ViewContext.Controller;
    var _currentuser = thiscontroller.CurrentUser;

    var username = _currentuser.user.FName + " " + _currentuser.user.LName;

    }
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width,initial-scale=1,shrink-to-fit=no">
    <link rel="icon" type="image/png" sizes="16x16" href="~/assets/img/favicon.png">
    @*<link rel="stylesheet" href="~/assets/css/pace.css">*@
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>EZY Technologies</title>
    <!-- CSS -->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:200,300,400,500,600%7CRoboto:400" rel="stylesheet" type="text/css">
    <link href="~/assets/vendors/material-icons/material-icons.css" rel="stylesheet" type="text/css">
    <link href="~/assets/vendors/mono-social-icons/monosocialiconsfont.css" rel="stylesheet" type="text/css">
    <link href="~/assets/vendors/feather-icons/feather.css" rel="stylesheet" type="text/css">
    <link href="~/assets/css/perfect-scrollbar.min.css" rel="stylesheet" type="text/css">
    <link href="~/assets/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href="~/assets/css/style.css" rel="stylesheet" type="text/css">
    <link href="~/assets/css/validator.css" rel="stylesheet" />
    <link rel="stylesheet" href="~/Content/bootstrap-datetimepicker.css" />
    <!-- Head Libs -->
    <script src="~/assets/js/modernizr.min.js"></script>
    @*<script src="~/assets/js/pace.min.js"></script>*@
    @*<script data-pace-options='{ "ajax": false, "selectors": [ "img" ]}' src="~/assets/js/pace.min.js"></script>*@


    <style>
        .circle-span {
            width: 25px;
            height: 25px;
            background: #949494;
            color: white;
            display: block;
            text-align: center;
            padding: 2px;
            border-radius: 100%;
        }

        .ezy_loader_body .ezy_loader {
            display: none;
        }

        .ezy_loader {
            width: 150px;
            height: 150px;
            margin: 0 auto;
            position: absolute;
            top: 50%;
            left: 50%;
            z-index: 99999;
            margin-left: -75px;
            margin-top: -75px;
        }

            .ezy_loader svg line {
                stroke: #c51015;
            }

            .ezy_loader svg circle {
                stroke: #202121;
            }

        .wrapper {
            display: none;
        }

        .ezy_loader_body .wrapper {
            display: block;
        }

        .pricing-box-content.px-5 > p {
            height: 265px;
            overflow: hidden;
        }

        h6.text-center.pt-2.ProductTitle {
            height: 50px;
        }
    </style>
</head>

<body class="sidebar-dark sidebar-expand navbar-brand-dark header-light">
    <div class="ezy_loader" style="width:150px">
        <svg version="1.1" id="L2" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 100 100" enable-background="new 0 0 100 100" xml:space="preserve">
        <circle fill="none" stroke="#fff" stroke-width="4" stroke-miterlimit="10" cx="50" cy="50" r="48"></circle>
        <line fill="none" stroke-linecap="round" stroke="#fff" stroke-width="4" stroke-miterlimit="10" x1="50" y1="50" x2="85" y2="50.5" transform="rotate(358.471 50.0007 50.0007)">
        <animateTransform attributeName="transform" dur="2s" type="rotate" from="0 50 50" to="360 50 50" repeatCount="indefinite"></animateTransform>
			</line>
        <line fill="none" stroke-linecap="round" stroke="#fff" stroke-width="4" stroke-miterlimit="10" x1="50" y1="50" x2="49.5" y2="74" transform="rotate(335.796 50 50)">
        <animateTransform attributeName="transform" dur="15s" type="rotate" from="0 50 50" to="360 50 50" repeatCount="indefinite"></animateTransform>
			</line>
		</svg>
    </div>

    <div id="wrapper" class="wrapper">
        <!-- HEADER & TOP NAVIGATION -->
        <nav class="navbar">
            <!-- Logo Area -->
            <div class="navbar-header">
                <a href="javascript:;" class="navbar-brand">
                    <img class="logo-expand" alt="" src="~/assets/img/logo-light.png">
                    <img class="logo-collapse" alt="" src="~/assets/img/logo-collapse.png">
                    <!-- <p>BonVue</p> -->
                </a>
            </div>
            <!-- /.navbar-header -->
            <!-- Left Menu & Sidebar Toggle -->
            <ul class="nav navbar-nav">
                <li class="sidebar-toggle dropdown">
                    <a href="javascript:void(0)" class="ripple"><i class="feather feather-menu list-icon fs-20"></i></a>
                </li>
            </ul>
            <!-- /.navbar-left -->
            <!-- Search Form -->
            <form class="navbar-search d-none d-sm-block" role="search">
                <i class="feather feather-search list-icon"></i>
                <input type="search" id="txtSearch" class="search-query" placeholder="Search anything..."> <a href="javascript:void(0);" class="remove-focus"><i class="feather feather-x"></i></a>
            </form>
            <!-- /.navbar-search -->
            <div class="spacer"></div>
            <!-- Right Menu -->
            <ul class="nav navbar-nav d-none d-lg-flex ml-2 ml-0-rtl">

                @*<li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="feather feather-bell list-icon"></i> <span class="button-pulse bg-danger"></span></a>
                        <div class="dropdown-menu dropdown-left dropdown-card animated flipInY">
                            <div class="card">
                                <header class="card-header d-flex justify-content-between mb-0">
                                    <a href="javascript:void(0);"><i class="feather feather-bell color-primary" aria-hidden="true"></i></a>                                <span class="heading-font-family flex-1 text-center fw-400">Notifications</span> <a href="javascript:void(0);"><i class="feather feather-settings color-content"></i></a>
                                </header>
                                <ul class="card-body list-unstyled dropdown-list-group">
                                    <li>
                                        <a href="#" class="media"><span class="d-flex"><i class="material-icons list-icon">check</i> </span><span class="media-body"><span class="heading-font-family media-heading">Invitation accepted</span> <span class="media-content">Your have been Invited ...</span></span></a>
                                    </li>
                                    <li>
                                        <a href="#" class="media"><span class="d-flex thumb-xs user--online"><img src="~/assets/demo/users/user3.jpg" class="rounded-circle" alt=""> </span><span class="media-body"><span class="heading-font-family media-heading">Steve Smith</span> <span class="media-content">I slowly updated projects</span></span></a>
                                    </li>
                                    <li>
                                        <a href="#" class="media"><span class="d-flex"><i class="material-icons list-icon">event_available</i> </span><span class="media-body"><span class="-heading-font-family media-heading">To Do</span> <span class="media-content">Meeting with Nathan on Friday 8 AM ...</span></span></a>
                                    </li>
                                </ul>
                                <!-- /.dropdown-list-group -->
                                <footer class="card-footer text-center">
                                    <a href="javascript:void(0);" class="headings-font-family text-uppercase fs-13">See all activity</a>
                                </footer>
                            </div>
                            <!-- /.card -->
                        </div>
                        <!-- /.dropdown-menu -->
                    </li>*@

                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-shopping-cart"></i></a>
                    <div class="dropdown-menu dropdown-left dropdown-card animated flipInY">
                        <div class="card">
                            <header class="card-header d-flex justify-content-between mb-0">
                                <a href="javascript:void(0);"><i class="fa fa-shopping-cart" aria-hidden="true"></i></a>
                                <span class="heading-font-family flex-1 text-center fw-400">Your Shopping Cart</span> </a>
                            </header>
                            <ul class="cart_list product_list_widget ezy_widget_shopping_cart widget AddCartListItem">

                                <!--single item-->
                                @{
                                    if (Request.Cookies["Cart"] != null)
                                    {
                                        foreach (var item in Newtonsoft.Json.JsonConvert.DeserializeObject<List<DAL.DBEntities.vt_Cart>>((Request.Cookies["Cart"]).Value))
                                        {
                                            <li class="ezy_mini_cart_item">
                                                <table>
                                                    <tbody>
                                                        <tr>
                                                            <td class="figure">
                                                                <figure>
                                                                    <img src="@item.Image" alt="">
                                                                    @*<img src="~/assets/img/office365-logo.png" alt="">*@
                                                                </figure>
                                                            </td>
                                                            <td class="content">
                                                                <a href="javascript:void(0)" class="remove" title="Remove this item" _id="@item.P_MCID">
                                                                    <i class="fa fa-close"></i>
                                                                </a>
                                                                <h6 class="product-title">@item.Title</h6>
                                                                <ul class="product-info m-0">

                                                                    @*@{
                                                                            if (item.BillingCycle.ToLower() == "OneTime".ToLower())
                                                                            {
                                                                                <li>Price : @item.ListPrice </li>
                                                                            }
                                                                        }*@
                                                                    <li>Qty : @item.Quantity </li>
                                                                </ul>
                                                                @*<a href="javascript:;" class="btn">Add to cart</a>*@
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </li>
                                        }
                                    }

                                }

                                <!--single item-->

                            </ul>
                            <!-- /.dropdown-list-group -->
                            <footer class="card-footer text-center">
                                <a href="javascript:;" class="text-uppercase fs-13 btn btn-youtube ezy_block ReviewProduct">Review</a>
                            </footer>
                        </div>
                        <!-- /.card -->
                    </div>
                    <!-- /.dropdown-menu -->
                </li>
            </ul>
            <!-- /.navbar-right -->
            <!-- User Image with Dropdown -->
            <ul class="nav navbar-nav">
                <li class="dropdown">
                    <a href="javascript:void(0);" class="dropdown-toggle dropdown-toggle-user ripple" data-toggle="dropdown"><span class="avatar thumb-xs2"><img src="~/assets/demo/users/user.png" class="rounded-circle" alt=""> <i class="feather feather-chevron-down list-icon"></i></span></a>
                    <div class="dropdown-menu dropdown-left dropdown-card dropdown-card-profile animated flipInY">
                        <div class="card">
                            <ul class="list-unstyled card-body">
                                @*<li>
                                        <a href="#"><span><span class="align-middle">Manage Accounts</span></span></a>
                                    </li>
                                    <li>
                                        <a href="#"><span><span class="align-middle">Change Password</span></span></a>
                                    </li>*@
                                    <li>
                                        <a href="#"><span><span class="align-middle">@username</span></span></a>
                                    </li>
                                <li>
                                    <a href="@Url.Action("Logout","Login")"><span><span class="align-middle">Sign Out</span></span></a>
                                </li>
                            </ul>
                            <!-- /.card-body -->
                        </div>
                        <!-- /.card -->
                    </div>
                    <!-- /.dropdown-card-profile -->
                </li>
                <!-- /.dropdown -->
            </ul>
            <!-- /.navbar-nav -->
        </nav>
        <!-- /.navbar -->
        <div class="content-wrapper">
            <!-- SIDEBAR -->
            <aside class="site-sidebar scrollbar-enabled" data-suppress-scroll-x="true">
                <!-- Sidebar Menu -->
                <nav class="sidebar-nav">
                    <ul class="nav in side-menu">
                        <li class="current-page"><a href="#"><i class="list-icon feather feather-command"></i> <span class="hide-menu">Dashboard</span></a></li>
                        @*<li class="menu-item-has-children">
                                <a href="javascript:void(0);">
                                    <i class="list-icon material-icons">local_grocery_store</i>
                                    <span class="hide-menu">Products<span class="badge bg-primary">6</span></span>
                                </a>

                                <ul class="list-unstyled sub-menu">
                                    <li><a href="@Url.Action("Index","Product",new { Category="Azure"})">Azure</a></li>
                                    <li><a href="@Url.Action("Index","Product",new { Category="OnlineServices"})">Online Services</a></li>
                                    <li class="menu-item-has-children">
                                        <a href="javascript:void(0);">Software</a>
                                        <ul class="list-unstyled sub-menu">
                                            <li><a href="@Url.Action("Index","Product",new { Category="Software"})">Commercial</a></li>
                                            <li><a href="@Url.Action("Index","Product",new { Category="Software"})">Software subscriptions</a></li>
                                        </ul>
                                    </li>
                                </ul>
                            </li>*@
                        <li class=""><a href="@Url.Action("Index","Customer")"><i class="list-icon fa fa-user"></i> <span class="hide-menu">Customers</span></a></li>
                        @{
                            DAL.DBEntities.OMSSession sess = (DAL.DBEntities.OMSSession)HttpContext.Current.Session["OMSSession"];
                            if (sess.user.RoleID == 1)
                            {
                                <li class=""><a href="@Url.Action("Index","User")"><i class="list-icon fa fa-cart-arrow-down"></i> <span class="hide-menu">User Managment</span></a></li>
                            }

                            if (sess.user.RoleID == 1)
                            {
                                <li class=""><a href="@Url.Action("Index","IndirectResellar")"><i class="list-icon fa fa-cart-arrow-down"></i> <span class="hide-menu">Indirect Resellar</span></a></li>
                                <li class=""><a href="@Url.Action("Index","FileUpload")"><i class="list-icon fa fa-cart-arrow-down"></i> <span class="hide-menu">Upload invoice</span></a></li>
                            }
                        }
                        <li class=""><a href="@Url.Action("Index","Billing")"><i class="list-icon fa fa-cart-arrow-down"></i> <span class="hide-menu">Billing</span></a></li>
                        @*<li class=""><a href="javascript:void(0);"><i class="list-icon material-icons">settings_applications</i> <span class="hide-menu">Settings</span></a></li>
                            <li class=""><a href="javascript:void(0);"><i class="list-icon material-icons">textsms</i> <span class="hide-menu">Supports</span></a></li>*@
                    </ul>
                    <!-- /.side-menu -->
                </nav>
                <!-- /.sidebar-nav -->            </aside>
            <!-- /.site-sidebar -->
            <main class="main-wrapper clearfix">
                @RenderBody()
            </main>
            <!-- RIGHT SIDEBAR -->
        </div>
        <!-- /.content-wrapper -->
        <div class="modal modal-danger fade lics_popup_1" tabindex="-1" role="dialog" aria-labelledby="lics_popup_1" aria-hidden="true" style="display: none">
            <div class="modal-dialog modal-md">
                <div class="modal-content">
                    <div class="modal-header text-inverse">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                        <h5 class="modal-title" id="myMediumModalLabel">Microsoft Azure</h5>
                    </div>
                    <div class="modal-body">
                        <div class="feature_log_div"><img src="~/assets/img/azure-logo.png" alt="" /></div>
                        <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.</p>
                        <div class="form-group">
                            <label for="username">License Quantity</label>
                            <input class="form-control" type="number" id="username" required="" placeholder="License Quantity">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger btn-rounded ripple text-left" data-dismiss="modal">Add to Cart</button>
                    </div>
                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <div class="modal modal-danger fade lics_popup_2" tabindex="-1" role="dialog" aria-labelledby="lics_popup_2" aria-hidden="true" style="display: none">
            <div class="modal-dialog modal-md">
                <div class="modal-content">
                    <div class="modal-header text-inverse">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                        <h5 class="modal-title" id="myMediumModalLabel">Microsoft Office 365 Enterprise</h5>
                    </div>
                    <div class="modal-body">
                        <div class="feature_log_div"><img src="~/assets/img/office365-logo.png" alt="" /></div>
                        <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.</p>
                        <div class="form-group">
                            <label for="username">License Quantity</label>
                            <input class="form-control" type="number" id="username" required="" placeholder="License Quantity">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger btn-rounded ripple text-left" data-dismiss="modal">Add to Cart</button>
                    </div>
                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <div class="modal modal-danger fade lics_popup_3" tabindex="-1" role="dialog" aria-labelledby="lics_popup_3" aria-hidden="true" style="display: none">
            <div class="modal-dialog modal-md">
                <div class="modal-content">
                    <div class="modal-header text-inverse">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                        <h5 class="modal-title" id="myMediumModalLabel">Microsoft Visio</h5>
                    </div>
                    <div class="modal-body">
                        <div class="feature_log_div"><img src="~/assets/img/visio-logo.png" alt="" /></div>
                        <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s.</p>
                        <div class="form-group">
                            <label for="username">License Quantity</label>
                            <input class="form-control" type="number" id="username" required="" placeholder="License Quantity">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger btn-rounded ripple text-left" data-dismiss="modal">Add to Cart</button>
                    </div>
                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <div class="modal fade" id="DeleteConfirmation" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" data-keyboard="false" data-backdrop="static">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="DeleteModalLabel">Add Modal</h4>
                    </div>
                    <div class="modal-body">
                        <label>Are you sure you want to delete?</label>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" id="btnDeleteConfirmation" deleteid attri class="btn btn-link waves-effect">Yes</button>
                        <button type="button" class="btn btn-link waves-effect" data-dismiss="modal">No</button>

                    </div>
                </div>
            </div>
        </div>
        <!-- FOOTER -->
        <footer class="footer">
            <span class="heading-font-family">Copyright @@ 2018. All rights reserved EZY</span>
        </footer>
    </div>
    <!--/ #wrapper -->
    <!-- Scripts -->
    @RenderSection("Scripts", required: false)

    <script src="~/assets/js/jquery.min.js"></script>
    <script src="~/scripts/jquery.validate.min.js"></script>
    <script src="~/scripts/jquery.validate.unobtrusive.js"></script>
    <script src="~/assets/js/popper.min.js"></script>
    <script src="~/assets/js/bootstrap.min.js"></script>
    <script src="~/assets/js/metisMenu.min.js"></script>
    <script src="~/assets/js/perfect-scrollbar.jquery.js"></script>
    <script src="~/assets/js/theme.js"></script>
    <script src="~/assets/js/jquery.treetable.js"></script>
    <script src="~/assets/js/custom.js"></script>
    <script src="~/assets/js/jquery.cookie.js"></script>
    <script src="~/assets/js/jquery.validator.js"></script>

    <script type="text/javascript" src="~/scripts/moment.min.js"></script>
    <script type="text/javascript" src="~/scripts/bootstrap-datetimepicker.js"></script>
    <script type="text/javascript">

        var json;
        var url;

        $(window).on("load", function (e) {

            //$("body").removeClass("ezy_loader_body");
        });


        $(document).ajaxStart(function () {
            $("body").removeClass("ezy_loader_body");
        });

        $(document).ajaxSuccess(function () {
            $("body").addClass("ezy_loader_body");
        });

        $(document).on('click', '.remove', function () {

            //$('.remove').click(function () {
            debugger
            var P_MCID = $(this).attr('_id');
            if (window.location.pathname == "/Product/CartReview") {
                $(this).parent().parent().next().remove();
                $(this).parent().parent().remove();

                RemoveCartItem(P_MCID);
            }
            else {
                // $(this).closest('li').remove();
                $('#DeleteConfirmation').find("#DeleteModalLabel").text("Delete From Cart")
                $('#DeleteConfirmation').modal("show");
                $('#btnDeleteConfirmation').attr("deleteid", P_MCID);
                //url = $(this).closest('li');
                //$('#btnDeleteConfirmation').attr("attri", $(this).closest('li'));
            }


            //json = JSON.parse($.cookie('Cart'));
            //var newData = JSON.stringify(RemoveNode(P_MCID));
            //$.removeCookie('Cart');
            //$.cookie('Cart', newData);

        })

        function RemoveCartItem(P_MCID) {
            $.ajax({
                type: "post",
                url: "@Url.Action("RemoveProduct", "Product")",
                data: { "P_MCID": P_MCID },
                success: function (data) {
                    location.reload();
                }
            })
        }

        $("#btnDeleteConfirmation").click(function () {
            //$(this).attr('attri').closest('li').remove();
            //url.remove();
            RemoveCartItem($(this).attr('deleteid'));
            //$('#DeleteConfirmation').modal("hide");
            
            @*$.ajax({
                type: "post",
                url: "@Url.Action("RemoveProduct", "Product")",
                data: { "P_MCID": $(this).attr('deleteid') },
                success: function (data) {
                    $('#DeleteConfirmation').modal("hide");
                }
            })*@

        });


        function RemoveNode(P_MCID) {
            return json.filter(function (emp) {
                if (emp.P_MCID == P_MCID) {
                    return false;
                }
                return true;
            });
        }

        $(document).ready(function () {
            $("body").addClass("ezy_loader_body");
            $('.datetimepicker1').datetimepicker();
            $("#txtSearch").on("keyup", function () {
                var value = $(this).val().toLowerCase();
                $(".maindiv").filter(function () {
                    $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
                });
            });

            if ($("ul.AddCartListItem li").length == 0) {
                //$(".ReviewProduct").show();
                $(".ReviewProduct").hide();
            }
            //else {
            //    $(".ReviewProduct").hide();
            //}
        });

        $(document).on('click', '.btnCart', function () {
            //var cartList = [];

            //var cartmodel = {};
            //cartmodel["C_MCID"] = cartmodel[""];
            //cartmodel["P_MCID"] = cartmodel[""];
            //cartmodel["SKUID"] = cartmodel[""];
            //cartmodel["Quantity"] = cartmodel[""];
            //cartList.push(cartmodel);

            var cartmodel = new Object();
            //cartmodel.C_MCID="";
            cartmodel.Title = $(this).parent().parent().find('.lblTitleBySKU').text();
            cartmodel.P_MCID = $(this).attr('_ProductMCId');
            cartmodel.SKUID = $(this).attr('_SKUID');
            cartmodel.ProductID = $(this).attr('_ProductId');
            cartmodel.Quantity = $(this).parent().parent().find('.txtQuantity').val();
            if (cartmodel != null) {
                $.ajax({
                    type: "POST",
                    url: "@Url.Action("CreateCart", "Product")",
                    data: JSON.stringify(cartmodel),
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (response) {
                        if (response.status) {
                            AppendHtml(response.Cart);
                            ResetValue(this);
                            window.location.reload();
                            //$(".ReviewProduct").show();

                        } else {
                            alert("Something went wrong");
                        }
                    },
                    failure: function (response) {
                        alert(response.responseText);
                    },
                    error: function (response) {
                        alert(response.responseText);
                    }
                });
            }
        });

        @*$(document).on('click', '.ReviewProduct', function () {
            //$('.ezy_widget_shopping_cart ul').length
            var Ids = [];
            $('.ezy_widget_shopping_cart li td.content').each(function (i) {
                Ids.push($(this).find('a.btn').attr('_cartid')); // This is your rel value
            });
            var cartId = Ids.join(', ');
            window.location.href = "@Url.Action("CartReview", "Product")" + '/' + cartId;


        })*@


        function AppendHtml(Cart) {
            var Html = "<li class='ezy_mini_cart_item'><table><tbody><tr><td class='figure'><figure><img src='@Url.Content("~/assets/img/office365-logo.png")' alt=''>";
            Html += "</figure></td><td class='content'><a href='javascript:;' class='remove' title='Remove this item' _id=" + Cart.P_MCID + "><i class='fa fa-close'></i>";
            Html += "</a><h6 class='product-title'>" + Cart.Title + "</h6><ul class='product-info m-0'><li>Qty : " + Cart.Quantity + " </li>";
            Html += "</ul></td></tr></tbody></table></li>";
            $('.AddCartListItem').append(Html);
        }

        function ResetValue(ID) {
            $(ID).parent().parent().find('.txtQuantity').val('')
            //$('#ModelProduct').modal('hide');
            //$('#ProductModel').html('');
            //$('#ProductModel').empty();
        }

        $(document).ready(function () {

          

            $('.ReviewProduct').click(function () {
                $('.ReviewProduct').attr("disabled", true);

                window.location.href = "@Url.Action("CartReview", "Product")";
            })
        })
    </script>
    @{
        if (IsSectionDefined("InScript"))
        {
            @RenderSection("InScript");
        }
    }
</body>
</html>